Skip to main content
GET
/
cabinet
/
referral
Get Referral Info
curl --request GET \
  --url https://api.example.com/cabinet/referral \
  --header 'Authorization: Bearer <token>'
{
  "referral_code": "<string>",
  "referral_link": "<string>",
  "total_referrals": 123,
  "active_referrals": 123,
  "total_earnings_kopeks": 123,
  "total_earnings_rubles": 123,
  "commission_percent": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

Referral program info for current user.

referral_code
string
required
total_referrals
integer
required
active_referrals
integer
required
total_earnings_kopeks
integer
required
total_earnings_rubles
number
required
commission_percent
integer
required